# md-validator-client

ValidatorClient - the Ruby gem for the Metadata Validation API

API for the metadata validation service.

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.3
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build md-validator-client.gemspec
```

Then either install the gem locally:

```shell
gem install ./md-validator-client-1.0.3.gem
```
(for development, run `gem install --dev ./md-validator-client-1.0.3.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'md-validator-client', '~> 1.0.3'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'md-validator-client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'md-validator-client'

api_instance = ValidatorClient::ValidationApi.new

begin
  #lists available validators
  result = api_instance.get_validators
  p result
rescue ValidatorClient::ApiError => e
  puts "Exception when calling ValidationApi->get_validators: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ValidatorClient::ValidationApi* | [**get_validators**](docs/ValidationApi.md#get_validators) | **GET** /validators | lists available validators
*ValidatorClient::ValidationApi* | [**validate**](docs/ValidationApi.md#validate) | **POST** /validators/{validator_id}/validate | performs a validation


## Documentation for Models

 - [ValidatorClient::InlineResponse404](docs/InlineResponse404.md)
 - [ValidatorClient::Status](docs/Status.md)
 - [ValidatorClient::Validator](docs/Validator.md)


## Documentation for Authorization

 All endpoints do not require authorization.

